import json
from pprint import pprint

from experiment.luna.luna_record_provider import LunaRecordProvider
from sziszapangma.integration.path_filter import ExtensionPathFilter

if __name__ == '__main__':
    luna_directory = 'experiment_data/dataset/LUNA.PL'
    luna_record_provider = LunaRecordProvider(
        ExtensionPathFilter(
            root_directory=luna_directory,
            extension='wav'
        ),
        relation_manager_root_path='experiment_data/dataset_relation_manager_data/luna'
    )
    pprint(luna_record_provider.get_all_records())
    for record_id in luna_record_provider.get_all_records():
        path = f'experiment_data/cached_asr/LUNA_techmo_asr_cache/{record_id.replace("__", "/")}.wav.techmo.json'
        raw = json.load(open(path, 'r'))
        output_path = f'experiment_data/cached_asr/luna_techmo/{record_id}.json'
        json.dump(raw, open(output_path, 'w'))
