from dataclasses import dataclass
from typing import Any

from experiment.luna.pipeline.pos_processing.spacy_token_pos_processing_task import SpacyTokenPosProcessingTask


@dataclass
class WordSpan:
    text: str
    index_start: int
    index_end: int


class AsrSpacyTokenPosProcessingTask(SpacyTokenPosProcessingTask):
    _spacy_property_name: str
    _nlp: Any
    _input_property_name: str

    def __init__(self, task_name: str, spacy_property_name: str, require_update: bool,
                 input_property_name: str):
        super().__init__(task_name, spacy_property_name, require_update, input_property_name)

    def get_transcript_to_process(self, property_value: Any) -> str:
        return property_value['full_text']
